> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Custom branding

> Custom branding via API: style the emails Sendforsign sends, use your own email domain and your own domain for signing links.

You can customize the appearance of the emails you send via Sendforsign's infrastructure, use your own email domain,
change the domain of recipient links you generate, and more.

### Body parameters

**data** `object` *required*

**child attribute**

**type** `string` *required*

Settings type.

**clientKey** `string` *required*

Key of the client.

**branding** `object` *required*

Structure.

**child attribute**

**emailFrom** `string`

The sender's name that will be shown in the emails you send to recipients.

**emailDomain** `string`

Available for Business accounts only. You'll need input from the Sendforsign team—contact your account manager.

**recipientLinkDomain** `string`

Available for Business accounts only. You'll need input from the Sendforsign team—contact your account manager.

**emailExplainer** `string`

A short text shown at the bottom of the emails you send to recipients.

**emailLogo** `string`

The logo that will be shown in the emails you send to recipients. Provide a public URL to a PNG, JPG, JPEG, or SVG image (W154 x H30).

**emailButtonColor** `string`

The button color that will be shown in the emails you send to recipients. Provide a hex code; the default is #1677ff.

**recipientPageBranding** `boolean`

Available for Business accounts only. You'll need input from the Sendforsign team—contact your account manager.

### Response

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/settings' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{
    "data": {
        "type": "brandings",
        "clientKey": "YOUR_CLIENT_KEY",
        "branding": {
            "emailFrom": "",
            "emailDomain": "",
            "recipientLinkDomain": "",
            "emailExplainer": "",
            "emailLogo": "",
            "emailButtonColor": "",
            "recipientPageBranding": true
        }
    }
}'
```

```json Response theme={null}
{
    "code": "201",
    "message": "Settings updated"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.